## seahorse-types

seahorse-types

## Synopsis

    #define             SEAHORSE_TYPE_LOCATION
    #define             SEAHORSE_TYPE_USAGE
    enum                SeahorseLocation;
    GType               seahorse_location_get_type          (void);
    enum                SeahorseUsage;
    GType               seahorse_usage_get_type             (void);
    enum                SeahorseKeyFlags;
    #define             SEAHORSE_TAG_INVALID

## Description

## Details

### SEAHORSE_TYPE_LOCATION

    #define SEAHORSE_TYPE_LOCATION (seahorse_location_get_type ())

### SEAHORSE_TYPE_USAGE

    #define SEAHORSE_TYPE_USAGE (seahorse_usage_get_type ())

### enum SeahorseLocation

    typedef enum  {
    	SEAHORSE_LOCATION_INVALID = 0,
    	SEAHORSE_LOCATION_MISSING = 10,
    	SEAHORSE_LOCATION_SEARCHING = 20,
    	SEAHORSE_LOCATION_REMOTE = 50,
    	SEAHORSE_LOCATION_LOCAL = 100
    } SeahorseLocation;

### seahorse_location_get_type ()

    GType               seahorse_location_get_type          (void);

Returns : |

### enum SeahorseUsage

    typedef enum  {
    	SEAHORSE_USAGE_NONE = 0,
    	SEAHORSE_USAGE_SYMMETRIC_KEY = 1,
    	SEAHORSE_USAGE_PUBLIC_KEY = 2,
    	SEAHORSE_USAGE_PRIVATE_KEY = 3,
    	SEAHORSE_USAGE_CREDENTIALS = 4,
    	SEAHORSE_USAGE_IDENTITY = 5,
    	SEAHORSE_USAGE_OTHER = 10
    } SeahorseUsage;

### seahorse_usage_get_type ()

    GType               seahorse_usage_get_type             (void);

Returns : |

### enum SeahorseKeyFlags

    typedef enum {
    	SEAHORSE_FLAG_IS_VALID =    CRYPTUI_FLAG_IS_VALID,
    	SEAHORSE_FLAG_CAN_ENCRYPT = CRYPTUI_FLAG_CAN_ENCRYPT,
    	SEAHORSE_FLAG_CAN_SIGN =    CRYPTUI_FLAG_CAN_SIGN,
    	SEAHORSE_FLAG_EXPIRED =     CRYPTUI_FLAG_EXPIRED,
    	SEAHORSE_FLAG_REVOKED =     CRYPTUI_FLAG_REVOKED,
    	SEAHORSE_FLAG_DISABLED =    CRYPTUI_FLAG_DISABLED,
    	SEAHORSE_FLAG_TRUSTED =     CRYPTUI_FLAG_TRUSTED,
    	SEAHORSE_FLAG_EXPORTABLE =  CRYPTUI_FLAG_EXPORTABLE,
    	SEAHORSE_FLAG_DELETABLE = 0x10000000
    } SeahorseKeyFlags;

### SEAHORSE_TAG_INVALID

    #define SEAHORSE_TAG_INVALID               0